export const TITLE = 'BIDU';
export const SHARDING_KEY = 'Ecommerce';
export const DEFAULT_LANG = 'vi';
export const DEFAULT_TITLE = 'Bidu Thông Báo';
export const DEFAULT_CONTENT = 'Thông báo mới';
export const RESERVED_KEYWORD = [
  'from',
  'message_type',
  'registration_id',
  'collapse_key',
  'time_to_live',
  'restricted_package_name',
  'dry_run'
];
export const DEEPLINK_PREFIX='bidu://';

export enum SOUND_EFFECT {
  DEFAULT = "default",
  CHAT_SOUND = "chat_sound.wav",
  ORDER_SOUND = "order_sound.wav"
}

export enum ANDROID_CHANNEL {
  CHAT = "bidu.message",
  ORDER = "bidu.order",
  DEFAULT = "bidu.default",
}

export enum OS {
  ANDROID = 'Android',
  iOS = 'IOS'
}

export enum NOTIFY_TARGET_TYPE {
  SELLER = 'SELLER',
  BUYER = 'BUYER'
}


export enum NOTIFY_TYPE {
  CHATS = 'CHATS',
  CHAT_MESSAGE = 'CHAT_MESSAGE',
  PROMOTIONS = 'PROMOTIONS',
  PRIZES = 'PRIZES',
  ORDERS = 'ORDERS',
  ORDERS_ACCEPT = 'ORDERS_ACCEPT',
  ORDERS_CREATED = 'ORDERS_CREATED',
  ORDERS_SHIPPED = 'ORDERS_SHIPPED',
  ORDERS_CANCELED = 'ORDERS_CANCELED',
  ORDERS_CANCELING = 'ORDERS_CANCELING',
  ORDERS_REMIND_FEEDBACK = 'ORDERS_REMIND_FEEDBACK',
  ORDERS_GHTK = 'ORDERS_GHTK',

  FEEDBACK_PRODUCT_CREATED = 'FEEDBACK_PRODUCT_CREATED',
  FEEDBACK_USER_CREATED = 'FEEDBACK_USER_CREATED',

  REPORT_LIVESTREAM = 'REPORT_LIVESTREAM',
  START_LIVESTREAM = 'START_LIVESTREAM',

  EVENTS = 'EVENTS',
  EVENTS_LIVE_STREAM_REMIND = 'EVENTS_LIVE_STREAM_REMIND',

  REWARD_VOUCHER = 'REWARD_VOUCHER',

  REFUND_REQUEST_SENT = 'REFUND_REQUEST_SENT',
  REFUND_REQUEST_CANCELED = 'REFUND_REQUEST_CANCELED',
  REFUND_SHOP_APPROVED = 'REFUND_SHOP_APPROVED',
  REFUND_SHOP_REJECTED = 'REFUND_SHOP_REJECTED',
  REFUND_ADMIN_APPROVED = 'REFUND_ADMIN_APPROVED',
  REFUND_ADMIN_REJECTED = 'REFUND_ADMIN_REJECTED',
  REFUND_SHOP_RECEIVED = 'REFUND_SHOP_RECEIVED',
  REFUND_ADMIN_COMPLETED = 'REFUND_ADMIN_COMPLETED',

  CREATE_SHOP_APPROVED = 'CREATE_SHOP_APPROVED',
  CREATE_SHOP_REJECTED = 'CREATE_SHOP_REJECTED',
  ASSIGN_CASH_BACK = 'ASSIGN_CASH_BACK',
  ORDER_INVALID = 'ORDER_INVALID',
  PAYMENT_MOMO_PAID = 'PAYMENT_MOMO_PAID',

  GB_ROOM_CREATED = 'GB_ROOM_CREATED',
  GB_JOIN = 'GB_JOIN',
  GB_NEED_INVITE = 'GB_NEED_INVITE',
  GB_HOST_PAID = 'GB_HOST_PAID',
  GB_HOST_MISSING_1_PER = 'GB_HOST_MISSING_1_PER',
  GB_CANCELED = 'GB_CANCELED',
  GB_MEMBER_MISSING_1_PER = 'GB_MEMBER_MISSING_1_PER',
  GB_MEMBER_PAID = 'GB_MEMBER_PAID',
  GB_MEMBER_INVITED = 'GB_MEMBER_INVITED',
}

export enum NOTIFY_SYSTEM_TYPE {
  PRODUCT = 'PRODUCT',
  PROFILE = 'PROFILE',
  BANNER = 'BANNER',
  SHOP = 'SHOP',
  PROMOTIONS = 'PROMOTIONS',
}

export enum NOTIFY_CONTENT_TYPE {
  NEW_MESSAGE = 'NEW_MESSAGE',
  LIKE_PRODUCT = 'LIKE_PRODUCT',
  RATE_PRODUCT = 'RATE_PRODUCT',
  FOLLOW_SHOP = 'FOLLOW_SHOP',
  ORDER = 'ORDER',
  FEEDBACK = 'FEEDBACK',
  LIVESTREAM = 'LIVESTREAM',
  REFUND = 'REFUND',
  VOUCHER = 'VOUCHER',
  SHOP = 'SHOP',
  PAYMENT = 'PAYMENT',
  GROUP_BUY = 'GROUP_BUY',
}